# $Revision: 1.7 $, $Date: 2007/04/21 15:03:15 $
Summary:	Tcl interface for PostgreSQL
Summary(es.UTF-8):	Bibliotecas y shell Tcl para acceder un servidor PostgreSQL
Summary(pl.UTF-8):	Interfejs Tcl dla PostgreSQL
Summary(pt_BR.UTF-8):	Bibliotecas e shell para programas em Tcl acessarem o servidor PostgreSQL
Summary(ru.UTF-8):	Библиотеки для доступа к PostgreSQL из Tcl
Summary(uk.UTF-8):	Бібліотеки для доступу до PostgreSQL з Tcl
Summary(zh_CN.UTF-8):	一个 Tcl 库和 PostgreSQL 的 PL/Tcl 编程语言
Name:		tcl-libpgtcl
Version:	1.5
Release:	1
License:	BSD
Group:		Development/Languages/Tcl
Source0:	http://pgfoundry.org/frs/download.php/338/pgtcl%{version}.tar.gz
# Source0-md5:	6eed1c338fc3bb7a844797c92b79b936
URL:		http://pgfoundry.org/projects/pgtcl/
Provides:	tcl(Pgtcl)
BuildRequires:	postgresql-devel
BuildRequires:	tcl-devel >= 8
Obsoletes:	postgresql-tcl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tcl interface for PostgreSQL.

%description -l es.UTF-8
Bibliotecas y shell Tcl para acceder un servidor PostgreSQL.

%description -l pl.UTF-8
Interfejs Tcl dla PostgreSQL.

%description -l pt_BR.UTF-8
Bibliotecas e shell para programas em Tcl acessarem o servidor
PostgreSQL.

%description -l ru.UTF-8
libpgtcl - API для доступа к базе данных PostgreSQL из языка Tcl.

%description -l uk.UTF-8
libpgtcl - API для доступу до бази даних PostgreSQL з мови Tcl.

%package devel
Summary:	Development part of Tcl interface for PostgreSQL
Summary(pl.UTF-8):	Część dla programistów interfejsu Tcl dla PostgreSQL
Summary(ru.UTF-8):	Хедеры и библиотеки для разработок с использованием libpgtcl (Tcl интерфейс для PostgreSQL)
Summary(uk.UTF-8):	Хедери та бібліотеки для розробок з використанням libpgtcl (Tcl-інтерфейс для PostgreSQL)
Group:		Development/Languages/Tcl
Requires:	%{name} = %{version}-%{release}
Requires:	postgresql-devel
Obsoletes:	postgresql-tcl-devel
Obsoletes:	postgresql-tcl-static

%description devel
Development part of Tcl interface for PostgreSQL.

%description devel -l pl.UTF-8
Część interfejsu Tcl dla PostgreSQL przeznaczona dla programistów.

%description devel -l ru.UTF-8
Это пакет разработчика для программирования с libpgtcl. Он включает
хедеры и библиотеки для использования в программах, которые используют
код или API libtcl (Tcl интерфейс для PostgreSQL).

%description devel -l uk.UTF-8
Це пакет програміста для програмування з libpgtcl. Він містить хедери
та бібліотеки для використання в програмах, які використовують код або
API libtcl (Tcl-інтерфейсу для PostgreSQL).

%prep
%setup -q -n pgtcl%{version}

# workaround for broken make install
touch doc/fake.n

%build
%configure2_13

%{__make} \
	CFLAGS_OPTIMIZE="%{rpmcflags} -D__NO_STRING_INLINES -D__NO_MATH_INLINES"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README README.async TODO
%dir %{_libdir}/pgtcl%{version}
%attr(755,root,root) %{_libdir}/pgtcl%{version}/libpgtcl%{version}.so
%{_libdir}/pgtcl%{version}/*.tcl

%files devel
%defattr(644,root,root,755)
%doc doc/{PGTCL-NOTES,libpgtcl.pdf} doc/html
%{_includedir}/libpgtcl.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tcl-libpgtcl.spec,v $
Revision 1.7  2007/04/21 15:03:15  radek
- P: tcl(Pgtcl)

Revision 1.6  2007/04/21 14:47:32  radek
- version 1.5, switch to pgfoundry.org

Revision 1.5  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.3  2006/12/20 12:56:53  hawk
- release 2 to rebuild with PostgreSQL 8.2

Revision 1.2  2005/02/19 06:27:35  ankry
- cleanups

Revision 1.1  2005/02/13 18:20:22  qboosh
- replacement for postgresql-tcl* packages removed from postgresql 8.0

